summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Mario Preksavec <mario at slackware dot hr>2015-02-28 10:50:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-28 11:06:38 +0700
commitf195a7670f5b6ba9d65ef2b2e5f1c268aeb6e998 (patch)
treebb849d94a68f29db16db6cd859c216c27f1e4d4e /network
parentafc34a0ef3011b83a6dbe2de7753229e9abdef49 (diff)
downloadslackbuilds-f195a7670f5b6ba9d65ef2b2e5f1c268aeb6e998.tar.gz
slackbuilds-f195a7670f5b6ba9d65ef2b2e5f1c268aeb6e998.tar.xz
network/icinga2: Added (Network resource monitoring system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/icinga2/README14
-rw-r--r--network/icinga2/README.SLACKWARE15
-rw-r--r--network/icinga2/doinst.sh31
-rw-r--r--network/icinga2/icinga2.SlackBuild154
-rw-r--r--network/icinga2/icinga2.info10
-rw-r--r--network/icinga2/slack-desc19
6 files changed, 243 insertions, 0 deletions
diff --git a/network/icinga2/README b/network/icinga2/README
new file mode 100644
index 0000000000..2087a9773f
--- /dev/null
+++ b/network/icinga2/README
@@ -0,0 +1,14 @@
+icinga2 (Network resource monitoring system)
+
+Icinga 2 is an open source monitoring system which checks the availability of
+your network resources, notifies users of outages, and generates performance
+data for reporting. Scalable and extensible, Icinga 2 can monitor large,
+complex environments across multiple locations.
+
+MySQL and PostgreSQL (optional dependency) will be auto detected, disable
+with:
+
+ MYSQL=no PGSQL=no ./icinga2.SlackBuild
+
+See README.SLACKWARE (which is also installed with the package docs) for
+setup, configuration, and usage hints.
diff --git a/network/icinga2/README.SLACKWARE b/network/icinga2/README.SLACKWARE
new file mode 100644
index 0000000000..0cf11953d4
--- /dev/null
+++ b/network/icinga2/README.SLACKWARE
@@ -0,0 +1,15 @@
+You may wish to add these lines to /etc/rc.d/rc.local to start the service:
+
+if [ -x /etc/rc.d/rc.icinga2 ]; then
+ /etc/rc.d/rc.icinga2 start
+fi
+
+You may also add these lines to /etc/rc.d/rc.local_shutdown:
+
+if [ -x /etc/rc.d/rc.icinga2 ]; then
+ /etc/rc.d/rc.icinga2 stop
+fi
+
+Remember to give executable permission to /etc/rc.d/rc.local_shutdown:
+
+ chmod 0755 /etc/rc.d/rc.local_shutdown
diff --git a/network/icinga2/doinst.sh b/network/icinga2/doinst.sh
new file mode 100644
index 0000000000..c43eb0cfa1
--- /dev/null
+++ b/network/icinga2/doinst.sh
@@ -0,0 +1,31 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.icinga2.new
+config etc/bash_completion.d/icinga2.new
+config etc/logrotate.d/icinga2.new
+config etc/sysconfig/icinga2.new
+
+find etc/icinga2 usr/share/icinga2 -type f -name '*.new' \
+ | while read new ; do config $new ; done
diff --git a/network/icinga2/icinga2.SlackBuild b/network/icinga2/icinga2.SlackBuild
new file mode 100644
index 0000000000..8d08acbb12
--- /dev/null
+++ b/network/icinga2/icinga2.SlackBuild
@@ -0,0 +1,154 @@
+#!/bin/sh
+
+# Slackware build script for icinga2
+
+# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=icinga2
+VERSION=${VERSION:-2.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Bail if user or group isn't valid on your system
+if ! grep ^icinga: /etc/passwd 2>&1 > /dev/null; then
+
+cat << EOF
+
+ You must have icinga user and a group to run this script
+
+ # groupadd -g 297 icinga
+ # groupadd -g 298 icingacmd
+ # useradd -u 297 -d /dev/null -s /bin/false -G icingacmd -g icinga icinga
+
+EOF
+
+ exit
+fi
+
+# Use MySQL by default
+MYSQL=${MYSQL:-yes}
+case "$MYSQL" in
+ no) MYSQL="-DICINGA2_WITH_MYSQL=OFF" ;;
+ *) MYSQL="" ;;
+esac
+
+# Use PGSQL by default
+PGSQL=${PGSQL:-no}
+case "$PGSQL" in
+ no) PGSQL="-DICINGA2_WITH_PGSQL=OFF" ;;
+ *) PGSQL="" ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc \
+ -DCMAKE_INSTALL_LOCALSTATEDIR=/var \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ $MYSQL \
+ $PGSQL \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+# Where precision tools fail, the hammer succeeds
+mv $PKG/usr/share/man $PKG/usr/man
+
+# Match config with monitoring-plugins and manubulon-snmp-plugins packages
+sed -i -e 's#^\(const ManubulonPluginDir =\).*#\1 "/usr/libexec/manubulon-snmp-plugins"#' \
+ -e 's#^\(const PluginDir =\).*#\1 "/usr/libexec/monitoring-plugins"#' \
+ $PKG/etc/$PRGNAM/constants.conf
+
+# Convert SYSV init script to BSD style
+mv $PKG/etc/init.d $PKG/etc/rc.d
+mv $PKG/etc/rc.d/$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM
+
+# Set permissions
+chmod -R 0775 $PKG/var/{cache,log,lib,run,spool}/$PRGNAM
+chown -R icinga:icinga $PKG/var/{cache,log,lib,run,spool}/$PRGNAM
+chown icinga:icingacmd $PKG/var/{log/$PRGNAM,run/$PRGNAM/cmd}
+
+# Finally, append .new to files
+find $PKG/etc $PKG/usr/share/$PRGNAM -type f ! -name "README" -exec mv {} {}.new \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL.md $CWD/README.SLACKWARE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/icinga2/icinga2.info b/network/icinga2/icinga2.info
new file mode 100644
index 0000000000..79f00549a1
--- /dev/null
+++ b/network/icinga2/icinga2.info
@@ -0,0 +1,10 @@
+PRGNAM="icinga2"
+VERSION="2.2.4"
+HOMEPAGE="https://www.icinga.org/"
+DOWNLOAD="https://github.com/Icinga/icinga2/archive/v2.2.4.tar.gz"
+MD5SUM="e33deb491d1c3d67af17f70cfcbb00b4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="yajl"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/network/icinga2/slack-desc b/network/icinga2/slack-desc
new file mode 100644
index 0000000000..1d78b8bc78
--- /dev/null
+++ b/network/icinga2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+icinga2: icinga2 (Network resource monitoring system)
+icinga2:
+icinga2: Icinga 2 is an open source monitoring system which checks the
+icinga2: availability of your network resources, notifies users of outages,
+icinga2: and generates performance data for reporting.
+icinga2: Scalable and extensible, Icinga 2 can monitor large, complex
+icinga2: environments across multiple locations.
+icinga2:
+icinga2: Homepage: http://www.icinga.org/
+icinga2:
+icinga2: